package com.ynet.life.i18n;

import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.util.HashMap;
import java.util.Map;

/* loaded from: com_ynet_life_i18n.jar:com/ynet/life/i18n/Resource.class */
public class Resource {
    private String itsName;
    private Map valueMap = new HashMap();

    public Resource(String name) {
        this.itsName = name;
    }

    public void addLanguage(String language, String value) throws TranFailException {
        if (this.valueMap.containsKey(language.toUpperCase())) {
            Trace.logError("LifeCore", "语言定义[" + this.itsName + "]重复");
            throw new TranFailException("EBLN0000", "语言定义[" + this.itsName + "]重复");
        }
        this.valueMap.put(language.toUpperCase(), value);
    }

    public String getValueAt(String language) {
        if (language == null) {
            return this.itsName;
        }
        String str = (String) this.valueMap.get(language.toUpperCase());
        String result = str;
        if (str == null) {
            result = this.itsName;
        }
        return result;
    }

    public String getName() {
        return this.itsName;
    }

    public String toString() {
        StringBuffer resourceElement = new StringBuffer();
        resourceElement.append("<resource id=\"").append(this.itsName).append("\">");
        for (String language : this.valueMap.keySet()) {
            String display = (String) this.valueMap.get(language);
            resourceElement.append("<resourceValue id=\"").append(language).append("\">");
            resourceElement.append(display);
            resourceElement.append("</resourceValue>");
        }
        resourceElement.append("</resource>");
        return resourceElement.toString();
    }
}
